package fr.inria.eventcloud.deployment.g5k;

import java.io.Serializable;

import fr.inria.eventcloud.api.SubscriptionId;
import fr.inria.eventcloud.api.listeners.BindingNotificationListener;
import com.hp.hpl.jena.sparql.engine.binding.Binding;


public class CustomBindingListener extends BindingNotificationListener implements Serializable {
    private static final long serialVersionUID = 1L;

    private int bindingsReceived = 0;

    public CustomBindingListener() {
    }

    @Override
    public void onNotification(SubscriptionId id, Binding solution) {
        System.out.println("Received solution : " + solution);
        bindingsReceived++;
    }

    public int getBindingsReceived() {
        return this.bindingsReceived;
    }

}
